PNG-BW
1
BRL-CAD
BRL-CAD

# png-bw

convert a Portable Networks Graphics (PNG) format file to a BW format

      png-bw
        -ntsc
        -crt
        -R num
        -G num
        -B num
        in.png
        >
        out.bw

## DESCRIPTION

Pix-bw will convert a PNG format file from its standard input and produce a black and white bw 5 file on its standard output, If the PNG file contains a B/W image the conversion is direct, however, if the PNG file contains a color image, then by default all three colors are weighted equally. The `-ntsc` uses weighting based on the NTSC primaries and the D6500 alignment white. The `-crt` flag applies weights for "typical" CRT phosphor chromaticities and the D6500 white.

Individual color plane(s) can be selected via the `-R -G` and `-B` flags. If one or more of these flags is followed by a value, the value will be treated as a weight to be applied to that color This value is implicitly 1.0 divided by the number of colors selected for the flags which are not followed by a value.

## EXAMPLES

png-bw -R -B < file.png > file.bw will equally blend the red and blue color planes.

png-bw bw_file.png < file.bw will convert a b/w PNG file to bw(5) format.

png-bw -R0.30 -G0.59 -B0.11 < file.png > file.bw has the same effect as the `-ntsc` flag. [The `-crt` weights are: 0.26, 0.66, 0.08]

## SEE ALSO

brlcad 1, png-pix 1, bw-png 1, pix-png 1, pix 5, bw 5.

## AUTHOR

John R. Anderson

## COPYRIGHT

This software is Copyright (c) 1998-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.